## org.codehaus.groovy.grails.web.metaclass
Class WithFormMethod

    java.lang.Object
      org.codehaus.groovy.grails.web.metaclass.WithFormMethod

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class WithFormMethod

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`WithFormMethod()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`Object` `invokeMethod(String method, Object arguments)`
`protected boolean` `isTokenValid(HttpServletRequest request)`
`protected Object` `resetToken(HttpServletRequest request)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`
`TokenResponseHandler` `withForm(HttpServletRequest request, groovy.lang.Closure callable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WithFormMethod

    public WithFormMethod()

Method Detail

### withForm

    public TokenResponseHandler withForm(HttpServletRequest request,
                                         groovy.lang.Closure callable)

### isTokenValid

    protected boolean isTokenValid(HttpServletRequest request)

### resetToken

    protected Object resetToken(HttpServletRequest request)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project